Overview | Modules | Class Hierarchy | Classes | Members

# tlp::GlSceneVisitor Class Reference

`#include <GlSceneVisitor.h>`

Inherited by tlp::GlDrawSceneVisitor, and tlp::GlSelectSceneVisitor.

Inheritance diagram for tlp::GlSceneVisitor:

[legend]
List of all members.

## Public Member Functions

- virtual ~GlSceneVisitor ()
- virtual void visit (GlSimpleEntity *entity)
- virtual void visit (GlNode *glNode)
- virtual void visit (GlEdge *glEdge)
- virtual void visit (GlLayer *layer)

## Constructor & Destructor Documentation

virtual tlp::GlSceneVisitor::~GlSceneVisitor | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void tlp::GlSceneVisitor::visit | ( | GlLayer * | layer | ) | `[inline, virtual]`

| Reimplemented in tlp::GlSelectSceneVisitor.

virtual void tlp::GlSceneVisitor::visit | ( | GlEdge * | glEdge | ) | `[inline, virtual]`

| Reimplemented in tlp::GlSelectSceneVisitor.

virtual void tlp::GlSceneVisitor::visit | ( | GlNode * | glNode | ) | `[inline, virtual]`

| Reimplemented in tlp::GlSelectSceneVisitor.

virtual void tlp::GlSceneVisitor::visit | ( | GlSimpleEntity * | entity | ) | `[inline, virtual]`

| Reimplemented in tlp::GlDrawSceneVisitor, and tlp::GlSelectSceneVisitor.

Tulip Software by LaBRI Visualization Team 2001 - 2010